Subject: [PATCH 01/01] arm: fix a preempt_count() corruption for CONFIG_PREEMPT=n

From: [email-masked] (Stephen Boyd)
Date: Fri, 04 Jan 2013 14:21:46 -0800

On 01/03/13 23:48, Patrik, Kluba wrote:
> Sorry for being late, was on holiday. Yes, you were right,
> CONFIG_DEBUG_PREEMPT (after breaking dependency on CONFIG_PREEMPT -
> this is how I caught the exact place) and CONFIG_DEBUG_ATOMIC_SLEEP was
> enabled due to bug hunting in own code (and found yet another at an
> unexpected place). 
> I have chosen #ifdef CONFIG_PREEMPT to match with assembly code, but
> your solution seems more reasonable.

Did you test my patch? If so, can I get your tested by please so I can
stick it in the patch tracker?

Thanks,
Stephen

-- 
Qualcomm Innovation Center, Inc. is a member of Code Aurora Forum,
hosted by The Linux Foundation